  .tooltip-square-icon {
    width: 20px;
    height: 20px;
    background-color: #ffc107;
    color: white;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    line-height: 20px;
    border-radius: 5px; /* Rounded corners for the square */
    position: relative;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    position: absolute;
    top: -27px;
    right: 0px;
    pointer-events: auto;
  }
  
  .tooltip-square-icon::after {
    content: '';
    position: absolute;
    bottom: -10px;
    left: 54%;
    width: 5px;
    height: 10px;
    background-color: #ffc107;
    clip-path: polygon(50% 100%, 0% 0%, 100% 0%); /* Triangle shape */
  }
  
  .tooltip-square-icon:hover {
    background-color: #ffc107;
    filter: brightness(85%);
  }

